/* Custom chat style.  Generated */

body { 
  font-family: {FONTFAMILY} , sans-serif;
  {FONTSTYLE}
  {FONTSIZE}
  background-color: {BACKGROUNDCOLOR};
  color: {DEFAULTCOLOR}; 
}
	 	 
.icon {
	width: 32px; height: 32px;
	background: url("img/target.png") left center no-repeat;
	padding-left: 35px;
}

::selection {
    background-color: #84ca7f;
    color: #000;
}

table { 
    width: 100%; 
    table-layout: fixed;   
}

table, td, th, tr { 
    margin: 0;
    padding: 0; 
    border: 0;
}


/* Chat */
.alert {
    color: {NOTIFYCOLOR};    
    background: url("img/target.png") left center no-repeat;
    background-color: {BACKGROUNDTINT};
    padding-left: 35px;
    font-weight: 800;
}

.system {
    color: {SYSTEMCOLOR};    
    background: url("img/diagramm.png") left center no-repeat;
    padding-left: 35px;
    font-weight: 700;
}

.notify {
    border-width: 2px;
    border-style: solid none;
    border-color: red;
    font-weight: 700;
}

.odd {  
   background-color: {BACKGROUNDTINTLIGHT};
}

.me {
    background-color: {BACKGROUNDTINT};
    box-shadow: 0 0 28px 2px rgba(58, 50, 155, 0.8); 
}

.chatlink a {
    color: {OTHERSCOLOR};
    text-decoration: none;
    box-shadow: 4px 6px 9px rgba(255, 255, 255, 0.50); 
}

.whisper [style] {
    color: {OTHERSCOLOR} !important;
}

.whisper  {
    background: url("img/whisper.png") left center no-repeat;
    padding-left: 25px;
}

.whisper-mine [style] {    
    color: {OWNCOLOR} !important;
}

.whisper-mine  {    
    background: url("img/whisper_mine.png") left center no-repeat;
    padding-left: 25px;
}

.automsg {
    background-color: {BACKGROUNDTINT};
    color: {SYSTEMCOLOR} !important;
}

.post:hover #close {
    display: inline;
}



.hidden {
    font-size: 14px;
    font-style: oblique;
    font-weight: lighter;
    text-align:center;
    color:  #c6c6c650;
    opacity: 0.5;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#link {
  text-align:center;
}

#link a {
    font-size: 14px;
    font-style:normal;
    font-weight: 400;
    text-align:center;
    color:  #99999980;
    text-decoration: none;
}

#link:hover a {
    font-weight:bold;
    color: #999999;
}

#hide {

}

#close{
    display:block;
    float:right;
    margin-top: -16px;
    margin-right: 5px;
    width:16px;
    height:16px;
    display: none;
    top:20px;
    position:relative;
    background:url("img/close2.png") no-repeat center center;
}

#close:hover {
    background:url("img/close1.png") no-repeat center center;
}

#h  {
    width: 60px;
    font-style: italic;
    vertical-align:top;
    font-weight: 400;
    text-align:left;
    color: blueviolet;
}

.meh  {
    font-style: normal !important; 
    text-decoration: underline;
    font-weight: 800 !important;
    color: blue !important;
}

#t [style]  {
  font-family: {FONTFAMILY} , sans-serif;
  {FONTSTYLE} 
  {FONTSIZE}
}

 #ta  [style]  {
   font-family: {FONTFAMILY} , sans-serif;
   {FONTSTYLE} 
   {FONTSIZE}  
   color: {NOTIFYCOLOR} !important;
}

.mine [style]  {
  color: {OWNCOLOR} !important;
}

.others [style]  {
  color: {OTHERSCOLOR} !important;
}

 

#a {
    width: 34px;
    overflow:hidden;
}

#u  {
    width: 15%;
    font-weight: 800;
    vertical-align: middle;
    text-align: justify;
    overflow:hidden;
    max-width: 40px;
    min-width: 10px;
    
}

#uw {
    width: 12%;
    font-weight: 800;
    vertical-align:central;
    text-align:right;
    overflow:hidden;
}

#t {
    vertical-align: middle;
    text-align: justify;
    word-wrap: break-word;
}

#t img {
    vertical-align: middle;
}

#t canvas  {
    vertical-align: middle;
}

#ta {
    width: 84%;    
    vertical-align: middle;
    text-align: justify;
    word-wrap: break-word;
    font-weight: 800;
    color: {NOTIFYCOLOR};   
}

/* Messages */
.message [style] { 
   color: {OTHERSCOLOR} !important;
   {FONTSTYLE} 
   {FONTSIZE}
}

.message-mine {
  background-color: {BACKGROUNDTINTLIGHT};
}

.message-mine [style] {
  color: {OWNCOLOR} !important;
  {FONTSTYLE} 
  {FONTSIZE}
}

.message-user {
   font-weight: bolder;   
   {FONTSIZE}
}

.message-text {    
}

.message-date {
    font-style: italic;
    font-family: tahoma;
    font-size: 12px;
    vertical-align:top;
    font-weight: 400;
    text-align:right;
    opacity: 0.7;
}

/*  Log */
.highlight {  
  background: lime;  
  border-bottom: 1px solid green; 
  padding-bottom: 1px; 
}

.bookmark {
    box-shadow: 0 1px 1px rgba(0,0,0,0.1);
    transition: all 0.0s;
    background-color: #f5f5f530; 
    background-image: -webkit-linear-gradient(top,#f5f5f5,#f1f1f1);
    border-radius: 2px;
    border: 1px solid #c6c6c6!important;
    cursor: default!important;
    line-height: 24px;
    margin-top: 2px;
    margin-left: 10px;
    margin-right: 10px;
    box-sizing: border-box;
    width:100%;
    height:20px;
    text-align: center;  
    display: inline-block;
    color: black; 
    font-family: arial,sans-serif;
    font-size: 12px;
    font-weight: bold;
}

pre {
  white-space: pre-wrap; 
}

/*  Voice  */
.play, .pause , .queue {	 
}

.play #ptd, .pause #ptd, .queue #ptd{
	padding: 8px 0px 8px 0px;
	overflow:hidden;
	white-space: nowrap;
	margin-top: 2px;
	margin-bottom: 2px;
}
.play #p {
	background: url("img/player_play32.png") left center no-repeat;
	padding: 9px 5px 9px 40px;
	background-color: rgba(0, 0, 0, 0.80);
	border-radius: 35px;
	text-decoration: none;
	color: white;
}

.pause #p {
	background: url("img/player_pause32.png") left center no-repeat;
	padding: 9px 5px 9px 40px;
	background-color: rgba(0, 0, 0, 0.80);
	border-radius: 35px;
	text-decoration: none;
	color: white;
}

.queue #p {
	background: url("img/player_play32.png") left center no-repeat;
	padding: 9px 5px 9px 40px;
	background-color: rgba(0, 0, 0, 0.60);
	border-radius: 35px;
	text-decoration: none;
	color: white;
}
/* Voice post duration */
#d  {
	width: 60px; 
    font-size: 8pt;
	font-style: italic;
	color: rgba(0, 0, 0, 0.90);
	float: left;
	padding-left: 2px;
	background-color: rgba(0, 0, 0, 0.08);
}
.played #d {
	background: url("img/done.png") left center no-repeat;
	padding: 0px 0px 0px 18px;
}

.bar {
    display: block;
    text-align: center;
    width: 0;
    height: 3px;
    background: red;
    transition: width .9s;
}
.bar.hide {
    opacity: 0;
    transition: opacity 1.6s;
}

#editor {
 overflow-x: hidden;
 overflow-y: hidden;   
}

#editor [style]   { 
    color: {OWNCOLOR} !important;
    {FONTSTYLE} 
    {FONTSIZE}
}
